/*
 * Copyright (c) 2012-2014 Wind River Systems, Inc.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#include <inttypes.h>
#include <zephyr/device.h>
#include <zephyr/devicetree.h>
#include <zephyr/drivers/gpio.h>
#include <zephyr/kernel.h>
#include <zephyr/logging/log.h>
#include <zephyr/mgmt/mcumgr/transport/smp_bt.h>
#include <zephyr/sys/util.h>
#include <zephyr/sys/printk.h>
#include "bt_ad.h"
#include "bt_comm.h"
#include "error.h"
#include "localtime.h"
#include "nrf_aes.h"
#include "tinycrypt_aes.h"

#if !CONFIG_SOC_NRF5340_CPUAPP
#include "button.h"
#include "gpio.h"
#include "led.h"
#include "pwr_mgmt.h"
#endif

LOG_MODULE_REGISTER(main);

void main(void) {
    btInit();
#if !CONFIG_SOC_NRF5340_CPUAPP
    gpioInit();
    buttonInit();
    ledInit();
    pwrMgmtInit();
#endif
    ltInit();
    nrfAes128Init();
    nrfAes128Test(1);
    nrfAes128Test(2);

#ifdef CONFIG_PM
    while (1) {
        k_usleep(1);
    }
#endif
}
